VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
Event Struct Reference
Version 4.11

Event. More...

Inheritance diagram for Event:

## Public Member Functions
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Public Attributes
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped.

## Detailed Description

Event.

## Constructor & Destructor Documentation

Event | ( |  | ) |
| noexcept

Event | ( | const Event & |  | ) |
| delete

Event | ( | Event && |  | ) |
| default

## Member Function Documentation

Event& operator= | ( | const Event & |  | ) |
| delete

Event& operator= | ( | Event && |  | ) |
| default

## Member Data Documentation

EventConsumeState consumed

Consumed? If this is true, event dispatching is stopped.

uint64_t id

Unique ID.

uint64_t timestamp

Timestamp.

EventType type {EventType::Unknown}

Type.

The documentation for this struct was generated from the following files:

- events.h
- events.cpp